0

I am writing an article, references of which are to be written in AAS style. Now, when I added {aastex631} in the document class, it downloaded some class files. However, on compilation it showed the following the error-"Please update your system to include revtex4-1.cls" in both TeXworks and WinEdt 10. Though I'm a newbie in LaTeX, I updated everything I could, from my system to MiKTex updates. On someone's advice, I even copied all the contents of REVTeX.zip in the local tree directory and in the folder containing tex file of the article. But the error is still there.

2
  • 2
    revtex4-1 has been declared outdated. It is not installed by miktex anymore. Your class should switch to revtex4-2, or you can get the older version from ctan. Mar 8, 2021 at 14:22
  • The files I put into the local directory and document folder were of revtex4-2 only.
    – Sim
    Mar 8, 2021 at 14:25

1 Answer 1

2

revtex4-1 is here https://ctan.org/pkg/revtex4-1, but you will have to unpack the dtx to get the cls.

You could instead try to substitute the class:

\makeatletter
\declare@file@substitution{revtex4-1.cls}{revtex4-2.cls}
\makeatother

\documentclass{aastex631}
\begin{document}
abc
\end{document}

In any case write to the maintainer of the aastex631 class and ask them not to use an obsolete class.

2
  • Thanks, it worked. But now there's this new error-Command \c@affil already defined. Or name \end... illegal, see p.192 of the manual.
    – Sim
    Mar 8, 2021 at 14:46
  • my example doesn't error. But it is quite possible that simply replacing the class doesn't work in other places. Write to the maintainer of the class, it is their job to keep this up-to-date. Mar 8, 2021 at 14:49

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.